Bug 243080 - Upgrade from FC5 to F7 creates numerous -devel package mismatches
Upgrade from FC5 to F7 creates numerous -devel package mismatches
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 04:25 EDT by Sivasankar Chander
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 13:16:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sivasankar Chander 2007-06-07 04:25:15 EDT
Description of problem:

After an Upgrade from FC5 to F7, numerous older -devel packages
remain from the FC5 install, while the base package is upgraded
to the F7 version. This utterly messes up the build environment
of the system, making it unusable as a stable build platform.

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Install FC5 on a machine
2. Upgrade to F7 using DVD media, choosing the
  'Upgrade existing installation' option.
3. Check the versions of a few installed -devel packages after
   the F7 upgrade and compare them against the base packages.
  
Actual results:

$ rpm -qa | grep 'devel'

imlib-devel-1.9.13-26.2.1
tcl-devel-8.4.12-4
x264-devel-0.0.0-0.2.20060607.fc5
libmatroska-devel-0.8.0-3
ghostscript-devel-8.15.2-1.1
audit-libs-devel-1.3-2
.
.
.
(list snipped for brevity)

$ rpm -q imlib tcl x264 libmatroska ghostscript audit-libs

imlib-1.9.15-2.fc7
tcl-8.4.13-16.fc7
x264-0.0.0-0.2.20060607.fc5
libmatroska-0.8.0-3
ghostscript-8.15.4-3.fc7
audit-libs-1.5.3-1.fc7

(imlib, tcl, ghostscript and audit-libs are all mismatched -
4 out of the first 6 rpms inspected. This is just illustrative,
there are numerous other mismatches.)

Expected results:

The -devel versions should match that of the base package which
has been upgraded.

Additional info:

No significant errors were reported during the installation process,
but the dependency checking, resolution and post-processing took
longer than expected, as compared to previous upgrades to earlier
releases of Fedora.
Comment 1 Jeremy Katz 2007-06-25 13:16:58 EDT
Not all packages are included on the DVD set; some are only in the "Everything"
repository.  A 'yum update' after the upgrade should make things match up again.

In the future, we're going to look at making it possible to enable the full
repository of everything at upgrade time.

Note You need to log in before you can comment on or make changes to this bug.